Toelichting op het ondersteuningsbeleid voor .NET Framework 3.5, .NET Framework 3.0 en .NET Framework 2.0

Vertaalde artikelen Vertaalde artikelen
Artikel ID: 2696944 - Bekijk de producten waarop dit artikel van toepassing is.
Alles uitklappen | Alles samenvouwen

Inleiding

Dit artikel bevat een toelichting op het ondersteuningsbeleid voor .NET Framework 3.5, .NET Framework 3.0 en .NET Framework 2.0.

Achtergrond

.NET Framework 3.5, .NET Framework 3.0 en .NET Framework 2.0 werden oorspronkelijk als afzonderlijke producten uitgebracht op platforms in Windows-versies ouder dan Windows 7 en Windows Server 2008 R2.

Al deze productversies vormen een eigen laag binnen een functiestack. Intern bevat elke laag onderdelen die elkaar uitsluiten. Onderdelen van .NET Framework 3.0 worden dus boven op .NET Framework 2.0 gebouwd, en onderdelen van .NET Framework 3.5 worden boven op zowel .NET Framework 2.0 als .NET Framework 3.0 gebouwd. Dit wordt weergegeven in de volgende afbeelding:

Deze afbeelding samenvouwenDeze afbeelding uitklappen
Afbeelding van onderdelen


Een gevolg van deze architectuur is dat .NET Framework 3.5 niet kan functioneren zonder .NET Framework 2.0 en .NET Framework 3.0 omdat de laag Framework 3.5 geen CLR (Common Language Runtime) bevat. Bij het installeren van .NET Framework 3.5 worden daarom ook .NET Framework 2.0 Service Pack 1 (SP1) en .NET Framework 3.0 SP1 geïnstalleerd. Net zo worden bij het installeren van .NET Framework 3.5 SP1 ook .NET Framework 2.0 SP2 en .NET Framework 3.0 SP2 geïnstalleerd. Klanten met Windows XP of Windows Server 2003 kunnen deze afzonderlijke versies samen met de bijbehorende updates zien in het onderdeel Software van het Configuratiescherm.

Deze afbeelding samenvouwenDeze afbeelding uitklappen
Afbeelding van bijbehorende updates


In Windows Vista SP2 en Windows Server 2008 SP2 worden .NET Framework 2.0 SP2 en .NET Framework 3.0 SP2 in het besturingssysteem opgenomen. Net zo worden in Windows Vista SP1 en Windows Server 2008 .NET Framework 2.0 SP1 en .NET Framework 3.0 SP1 in het besturingssysteem opgenomen. Daarom kunnen klanten alleen .NET Framework 3.5 zien in het onderdeel Software, zoals wordt weergegeven in de volgende afbeelding:

Deze afbeelding samenvouwenDeze afbeelding uitklappen
Afbeelding van Software

Gevolgen voor het ondersteuningsbeleid

Omdat .NET Framework 3.5, .NET Framework 3.0 en .NET Framework 2.0 als onafhankelijke productversies worden uitgebracht, geldt voor elk van deze producten een onafhankelijk ondersteuningsbeleid.

Zoals eerder in dit artikel is beschreven, kan .NET Framework 3.5 niet functioneren zonder .NET Framework 2.0 en .NET Framework 3.0. Als er functionele of beveiligingsproblemen moeten worden opgelost in .NET Framework 3.5 moeten in veel gevallen problemen in elk van de drie productlagen worden opgelost. Dit kan leiden tot scenario's waarin .NET Framework 3.5 wordt ondersteund en een update nodig heeft voor de onderliggende productlaag .NET Framework 2.0 of .NET Framework 3.0, terwijl de onderliggende versie volgens het levenscyclusbeleid niet meer wordt ondersteund. Een voorbeeld hiervan is .NET Framework 3.5 SP1, dat momenteel wordt ondersteund. .NET Framework 3.0 SP2 wordt volgens het beleid echter niet meer ondersteund sinds 12-7-2011.

In deze gevallen is de ondersteuning verlopen voor zelfstandige installaties van .NET Framework 3.0. Zolang .NET Framework 3.5 wordt ondersteund, biedt Microsoft echter nog wel ondersteuning voor .NET Framework 2.0 en .NET Framework 3.0 voor klanten die .NET Framework 3.5 installeren.

Omdat .NET Framework 2.0 SP2 en .NET Framework 3.0 SP2 worden opgenomen in Windows Vista SP2 en Windows Server 2008 SP2, en omdat .NET Framework 2.0 SP1 en .NET Framework 3.0 SP1 worden opgenomen in Windows Vista SP1 en Windows Server 2008, worden deze versies ook ondersteund als onderdeel van het respectievelijke besturingssysteem zolang deze .NET-versies worden ondersteund.

Opmerking .NET Framework 3.5 wordt op SP1-niveau alleen ondersteund in combinatie met .NET Framework 2.0 SP2 en .NET Framework 3.0 SP2. De oorspronkelijke versie van .NET Framework 3.5 in combinatie met .NET Framework 2.0 SP1 en .NET Framework 3.0 SP1 wordt niet meer ondersteund.
Opmerking Dit is een artikel voor snelle publicatie dat rechtstreeks is gemaakt vanuit de ondersteuningsorganisatie van Microsoft. De informatie in dit artikel wordt in de huidige vorm aangeboden in reactie op nieuw geconstateerde problemen. Aangezien artikelen van dit type zeer snel moeten worden gepubliceerd, kan de inhoud typografische fouten bevatten en kan de inhoud zonder voorafgaande kennisgeving worden gewijzigd. Raadpleeg de Gebruiksrechtovereenkomst voor overige aandachtspunten.

Eigenschappen

Artikel ID: 2696944 - Laatste beoordeling: zaterdag 7 april 2012 - Wijziging: 2.0
De informatie in dit artikel is van toepassing op:
  • Microsoft .NET Framework 3.5
  • Microsoft .NET Framework 3.0
  • Microsoft .NET Framework 2.0
Trefwoorden: 
kbinfo kbexpertiseinter kbsecbulletin kbsecurity KB2696944

Geef ons feedback

 

Contact us for more help

Contact us for more help
Connect with Answer Desk for expert help.
Get more support from smallbusiness.support.microsoft.com